import request from '@/utils/request'

// 查询进组培训模版列表
export function listFirstplantmpl(query) {
  return request({
    url: '/newstaff/firstplantmpl/list',
    method: 'get',
    params: query
  })
}

// 查询进组培训模版详细
export function getFirstplantmpl(id) {
  return request({
    url: '/newstaff/firstplantmpl/' + id,
    method: 'get'
  })
}

// 新增进组培训模版
export function addFirstplantmpl(data) {
  return request({
    url: '/newstaff/firstplantmpl',
    method: 'post',
    data: data
  })
}

// 修改进组培训模版
export function updateFirstplantmpl(data) {
  return request({
    url: '/newstaff/firstplantmpl',
    method: 'put',
    data: data
  })
}

// 删除进组培训模版
export function delFirstplantmpl(id) {
  return request({
    url: '/newstaff/firstplantmpl/' + id,
    method: 'delete'
  })
}

// 导出进组培训模版
export function exportFirstplantmpl(query) {
  return request({
    url: '/newstaff/firstplantmpl/export',
    method: 'get',
    params: query
  })
}
